更新 enrollmentTroubleshootingEvent
命名空间:microsoft.graph
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
更新 enrollmentTroubleshootingEvent 对象的属性。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementManagedDevices.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementManagedDevices.ReadWrite.All |
HTTP 请求
PATCH /deviceManagement/troubleshootingEvents/{deviceManagementTroubleshootingEventId}
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 enrollmentTroubleshootingEvent 对象的 JSON 表示形式。
下表显示创建 enrollmentTroubleshootingEvent 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 对象的 UUID。继承自 deviceManagementTroubleshootingEvent |
| eventDateTime | DateTimeOffset | 事件发生的时间。 继承自 deviceManagementTroubleshootingEvent |
| correlationId | String | 用于跟踪服务中的故障的 ID。 继承自 deviceManagementTroubleshootingEvent |
| managedDeviceIdentifier | String | Intune 创建或收集的设备标识符。 |
| operatingSystem | String | 操作系统。 |
| osVersion | String | 操作系统版本。 |
| userId | String | 尝试注册设备的用户的标识符。 |
| deviceId | String | Azure AD 设备标识符。 |
| enrollmentType | deviceEnrollmentType | 注册类型。 可能的值是:unknown、userEnrollment、deviceEnrollmentManager、appleBulkWithUser、appleBulkWithoutUser、windowsAzureADJoin、windowsBulkUserless、windowsAutoEnrollment、windowsBulkAzureDomainJoin、windowsCoManagement、windowsAzureADJoinUsingDeviceAuth、appleUserEnrollment、appleUserEnrollmentWithServiceAccount。 |
| failureCategory | deviceEnrollmentFailureReason | Highlevel 失败类别。 可取值为:unknown、authentication、authorization、accountValidation、userValidation、deviceNotSupported、inMaintenance、badRequest、featureNotSupported、enrollmentRestrictionsEnforced、clientDisconnected、userAbandonment。 |
| failureReason | String | 详细失败原因。 |
响应
如果成功,此方法将在响应正文中返回 200 OK 响应代码和更新的 enrollmentTroubleshootingEvent 对象。
示例
请求
下面是一个请求示例。
PATCH https://graph.microsoft.com/v1/deviceManagement/troubleshootingEvents/{deviceManagementTroubleshootingEventId}
Content-type: application/json
Content-length: 509
{
"@odata.type": "#microsoft.graph.enrollmentTroubleshootingEvent",
"eventDateTime": "2016-12-31T23:59:23.3984029-08:00",
"correlationId": "Correlation Id value",
"managedDeviceIdentifier": "Managed Device Identifier value",
"operatingSystem": "Operating System value",
"osVersion": "Os Version value",
"userId": "User Id value",
"deviceId": "Device Id value",
"enrollmentType": "userEnrollment",
"failureCategory": "authentication",
"failureReason": "Failure Reason value"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 558
{
"@odata.type": "#microsoft.graph.enrollmentTroubleshootingEvent",
"id": "c4a623f5-23f5-c4a6-f523-a6c4f523a6c4",
"eventDateTime": "2016-12-31T23:59:23.3984029-08:00",
"correlationId": "Correlation Id value",
"managedDeviceIdentifier": "Managed Device Identifier value",
"operatingSystem": "Operating System value",
"osVersion": "Os Version value",
"userId": "User Id value",
"deviceId": "Device Id value",
"enrollmentType": "userEnrollment",
"failureCategory": "authentication",
"failureReason": "Failure Reason value"
}
反馈
提交和查看相关反馈